Skip to main content
GET
List active triggers

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Query Parameters

user_ids
string[] | null

Array of user IDs to filter triggers by

connected_account_ids
string<connectedAccountId>[] | null

Array of connected account IDs to filter triggers by

auth_config_ids
string<authConfigId>[] | null

Array of auth config IDs to filter triggers by

trigger_ids
string<triggerInstanceId>[] | null

Array of trigger IDs to filter triggers by

trigger_names
string[] | null

Array of trigger names to filter triggers by. Case-insensitive (internally normalized to uppercase).

connectedAccountIds
string<connectedAccountId>[] | null

DEPRECATED: This parameter will be removed in a future version. Please use connected_account_ids instead.

authConfigIds
string<authConfigId>[] | null

DEPRECATED: This parameter will be removed in a future version. Please use auth_config_ids instead.

triggerIds
string<triggerInstanceId>[] | null

DEPRECATED: This parameter will be removed in a future version. Please use trigger_ids instead.

show_disabled
boolean | null
default:false

When set to true, includes disabled triggers in the response.

triggerNames
string[] | null

DEPRECATED: This parameter will be removed in a future version. Please use trigger_names instead.

showDisabled
boolean | null
default:false

DEPRECATED: This parameter will be removed in a future version. Please use show_disabled instead. DEPRECATED: Use show_disabled instead

deprecatedConnectedAccountUuids
string[] | null

DEPRECATED: This parameter will be removed in a future version. Please use connected_account_ids instead. Array of connected account UUIDs to filter triggers by

deprecatedAuthConfigUuids
string[] | null

DEPRECATED: This parameter will be removed in a future version. Please use auth_config_ids instead. Array of auth config UUIDs to filter triggers by

limit
number | null

Number of items per page, max allowed is 50

cursor
string

Cursor for pagination. The cursor is a base64 encoded string of the page and limit. The page is the page number and the limit is the number of items per page. The cursor is used to paginate through the items. The cursor is not required for the first page.

Response

Successfully retrieved active trigger instances

items
object[]
required
total_pages
number
required
current_page
number
required
total_items
number
required
next_cursor
string | null